Subject: FvwmButtons: Per Button Focus

From: [email-masked]
Date: Mon, 15 Feb 1999 21:38:03 -0600 (CST)

Full_Name: Neil Zanella
Version: 2.0.46
CVS_Date: 
OS: Red Hat Linux 5.2 kernel 2.0.36
X_Server: XFree86 3.3.2 Mach64
Submission from: (NULL) (134.153.98.6)

I like to have an FvwmButtons buttonbox with several swallowed and
non-swallowed 
buttons showing up on my desktop during the whole session. I am faced with
the
following dilemma:

Some swallowed buttons are very well suited for SloppyFocus.

Other buttons are much better suited for the ClickToFocus property.

Since all buttons lie on the same buttonbox (and I like to move the
buttonbox around
from time to time), I am faced with making either all buttons ClickToFocus
or making
all buttons SloppyFocus.

This is too bad, as it forces me to create at least two buttonboxes, one
with the
SloppyFocus Style and one with the ClickToFocus Style.

The problem is that I really intend to have only one buttonbox for my
desktop,
not two or more.

Some extra flexibility in FvwmButtons with regards to this would be nice.

Thanks to all developers.

--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].